 /*
 *    Copyright (C) 2011 by Sylvain Garsault <sylvain.garsault@gmail.com>    
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
 Importer.include("util.js");
 
 
 /*
 * Parses arguments
 */
function parseCommand()
{
  for (var i=0; i<this.arguments.length; ++i)
  {
    var arg = this.arguments[i].attribute;
    switch(arg)
    {
      case "action":
	this.parseRemote(this.arguments[i].value);
	break;
      default:
	//do nothing
    }
  }
}

 /*
 * Serves Freebox commands (remote control keys)
 */
function parseRemote(cmd)
{
  d("Remote control command received: " + cmd);
  switch(cmd)
  {
  // Player commands
    case "next":
      Amarok.Engine.Next();
      break;
    case "prev":
      Amarok.Engine.Prev();
      break;
    case "play":
    case "pause":
      Amarok.Engine.PlayPause();
      break;
    case "stop":
      Amarok.Engine.Stop(false);
      break;
    case "fwd":
      Amarok.Engine.SeekForward(gConf.amarok.fastForward*1000);
      break;
    case "rev":
      Amarok.Engine.SeekBackward(gConf.amarok.fastBackward*1000);
      break;
    case "star":
      Amarok.Playlist.removeByIndex(this.session.selectedTrack);
      break;
    case "rec":
      Amarok.Playlist.clearPlaylist();
      break;
  // Collection commands
    case "load":
      this.loadItem();
      break;
    case "playTrack":
      this.loadItem(true);
      break;
    case "playCD":
      Amarok.Engine.PlayAudioCD();
      break;
    default:
      w("Undefined remote control command: "+ cmd);
  }
}

/*
 * Get the current position in the current playing track in the format mm:ss
 * FIXME: not sure we have to know the session here...
 */
function buildRemoteCommands(address)
{
  commands = "";
  var txt = readFile("commands.txt");
  var re = /\s/;
  var cmds = txt.split(re);
  //d(cmds.length +" commands: "+cmds);
  for (var i=0; i<cmds.length; i++)
  {
    commands += "<link rel=\"" + cmds[i] + "\" href=\"" + address +"action=" + cmds[i] + ";\">\n";
  }
  return commands;
}