 /*
 *    Copyright (C) 2011 by Sylvain Garsault <sylvain.garsault@gmail.com>    
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
 
 
/*
 * Opens a read-only text file
 */
function readFile(fileName)
{
  // Directory of the HTML templates. You can play with them to customize the Freeboks appearance.
  var path=Amarok.Info.scriptPath()+gConf.server.htmlDir+"/"+fileName;
  var r=""
  var file = new QFile(path);
  var result = file.open(QIODevice.ReadOnly);
  if (!result)
  {
    e("Cannot open file "+path+" for read-only. Error " + file.errorString());
  }
  else
  {
    r = file.readAll().toString();
  }
  file.close();
  return r;
}

/*
 * Writes a string in a text file
 */
function openWrite(fileName, file, append)
{
  file.setFileName(fileName);
  if (append)
    var result = file.open(QIODevice.Append);
  else
    var result = file.open(QIODevice.WriteOnly);
  if (!result)
  {
    e("Cannot open file "+fileName+" for write. Error " + file.errorString());
    file.close();
    return false;
  } 
  return true;
}

/*
 * Opens a read-only binary file
 */
function readBinaryFile(fileName)
{
  var file = new QFile(fileName);
  var data = new QByteArray();
  var result = file.open(QIODevice.ReadOnly);
  if (!result)
  {
    e("Cannot open file "+fileName+" for read-only. Error " + file.errorString());
  }
  else
  {
    data = file.readAll();
  }
  file.close();
  return data;
}

/*
 * Opens a read-only image
 */
function readImg(fileName, size)
{
  var path=Amarok.Info.scriptPath()+gConf.server.imgDir+"/"+fileName;
  var pix = new QPixmap(path, "", Qt.AutoColor);
  var data = "";
  if (pix == null)
  {
    e("Cannot open image "+path+" for read-only");
  }
  else
  {
    data = pixmapToPNG(pix, size);
  }
  return data;
}
